import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:sinap_woosim_plugin/sinap_woosim_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('sinap_woosim_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await SinapWoosimPlugin.platformVersion, '42');
  });
}
